ModPE.setItem(397, "spawn_egg", 0, "Spawn Demon Golem");//sets a item
ModPE.overrideTexture("images/mob/DemonGolem.png"," http://i.imgur.com/hbbsosz.png");//downloads the texture
var DemonGolem;//a global variable

function addDemonGolemToRenderer(renderer) {//the model function
var model = renderer.getModel();//creates a new variable to get the model
var bipedBody = model.getPart("body").clear();//a variable gets the body and clears it
bipedBody.setTextureOffset(3, 6);//sets the texture offset for the body
bipedBody.addBox(-5.0, -3.0, 0.0, 15, 18, 8, 0);//the body
bipedBody.setTextureOffset(1, 1);//sets the texture offset for the head(I made the head part of the body)
bipedBody.addBox(-1.0, -1.0, -4.0, 7, 8, 4, 0);//the head
bipedBody.setTextureOffset(59, 0);//set the texture offset for the horns
//the bottom part of the horns
bipedBody.addBox(0.0, -4.0, -3.0, 1, 3, 1);
bipedBody.addBox(3.0, -4.0, -3.0, 1, 3, 1);
//the middle part of the horns
bipedBody.addBox(-1.0, -6.0, -3.0, 1, 3, 1);
bipedBody.addBox(4.0, -6.0, -3.0, 1, 3, 1);
//the top part of the horns
bipedBody.addBox(0.0, -8.0, -3.0, 1, 3, 1);
bipedBody.addBox(3.0, -8.0, -3.0, 1, 3, 1);
var bipedLeg = model.getPart("rightLeg").clear();//a variable that gets the right leg and clears it
bipedLeg.setRotationPoint(-2.0, 2.0, 1.5);//sets the rotation point for the right leg at where the right leg and body meet
bipedLeg.setTextureOffset(45, 16);//sets the texture offset for the right leg
bipedLeg.addBox(-2.0, 2.0, 1.5, 5, 10, 5, 0);//the right leg
var bipedLeg2 = model.getPart("leftLeg").clear();//a variable that gets the left leg and clears it
bipedLeg2.setRotationPoint(2.0, 2.0, 1.5);//sets the rotation point for the left leg at where the left leg and body meet
bipedLeg2.setTextureOffset(45, 16);//sets the texture offset for the left leg
bipedLeg2.addBox(2.0, 2.0, 1.5, 5, 10, 5, 0);//the left leg
var bipedhead = model.getPart("head").clear();//a variable that gets the head and clears it
var bipedarm = model.getPart("rightArm").clear();//a variable that gets the right arm and clears it
bipedarm.setRotationPoint(-4.0, -2.0, 1.5);//sets the rotation point at the top of the right arm
bipedarm.setTextureOffset(40, 0);//sets the texture offset for the right arm
bipedarm.addBox(-4.0, -2.0, 1.5, 4, 26, 4, 0);//the right arm
var bipedarm2 = model.getPart("leftArm").clear();//a variable that gets the left arm and clears it
bipedarm2.setRotationPoint(4.0, -2.0, 1.5);//sets the rotation point at the top of the left arm
bipedarm2.setTextureOffset(40, 0);//sets the texture offset for the left arm
bipedarm2.addBox(4.0, -2.0, 1.5, 4, 26, 4, 0);//the left arm
}

var DemonGolemRenderer = Renderer.createHumanoidRenderer();//creates a variable that equals a humanoid model
addDemonGolemToRenderer(DemonGolemRenderer);//merges the variable with the model function

function useItem(x, y, z, i, b, s){//when a block is tapped
if(i==397){//with item 397
DemonGolem = Level.spawnMob(x, y+1, z,32,"mob/DemonGolem.png");//a variable equals spawning zombie at the location of where the block was tapped with the GolemDemon skin
Entity.setRenderType(DemonGolem, DemonGolemRenderer.renderType);//sets the model of the mob spawned to the custom model
Entity.setNameTag(DemonGolem, "Demon Golem");//gives the mob a nametag cause #yolo
Entity.setHealth(DemonGolem, 70);//sets the mobs health to 70
}
}


function attackHook(a, v){//when something attacks
if(Entity.getMobSkin(v)=="mob/DemonGolem.png"){//if the victim has that mob skin
Level.playSoundEnt(v, "mob.zombiepig.zpigangry", 100, 30);//plays a zpigman sound
}
}

function deathHook(a, v){//when a mob dies
if (Entity.getMobSkin(v)=="mob/DemonGolem.png"){//if the mob has that mob skin
Level.dropItem(Entity.getX(v),Entity.getY(v),Entity.getZ(v),1,10,2);//drops some fire and lava :P
Level.dropItem(Entity.getX(v),Entity.getY(v),Entity.getZ(v),1,51,2);
}
}

function modTick(){//every 1/20 of a second
//makes the paricles appear
Level.addParticle(ParticleType.lava, Entity.getX(DemonGolem)-0.2 , Entity.getY(DemonGolem)+1, Entity.getZ(DemonGolem), 0, 0, 0, 2);
Level.addParticle(ParticleType.lava, Entity.getX(DemonGolem) , Entity.getY(DemonGolem), Entity.getZ(DemonGolem), 0, 0, 0, 2);
Level.addParticle(ParticleType.lava, Entity.getX(DemonGolem)+0.2 , Entity.getY(DemonGolem)+1, Entity.getZ(DemonGolem), 0, 0, 0, 2);
}

function procCmd(c)
{
var cmd = c.split(" ");
if(cmd[0]=="GiveGolem")
{
Player.addItemInventory(397,1);
clientMessage("You were given a Demon Golem spawn egg!");
}
}